
package com.aspera.samples.central.query;

/**
 * Query types.
 * 
 * <p/>
 * Copyright 2010 by Aspera, Inc.
 * 
 * @author Aspera
 */
public enum QueryType {
  SessionStatistics("ss"),
  SessionInfo("si"),
  FileTransferStatistics("ts"),
  FileTransferInfo("ti"),
  Info("i"),
  Statistics("s");

  private String m_Acronym;

  private QueryType(String acronym) {
    m_Acronym = acronym;
  }

  public static QueryType fromAcronym(String acronym) throws Exception {
    for (QueryType type : values()) {
      if (type.m_Acronym.equalsIgnoreCase(acronym))
        return type;
    }
    throw new Exception("Unknown query type [" + acronym + "]");
  }
}